<?php
/**
 * 2022 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2022 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */

class AddifyrequestsallClass extends ObjectModel
{
    public $id;

    public $id_customer;

    public $status;

    public $id_product;

    public $id_product_attribute;

    public $product_info;

    public $product_name;

    public $product_sku;

    public $product_image;

    public $quantity;

    public $offered_price;

    public $original_price;

    public $name;

    public $email;

    public $description;

    public $file;    

    public $dropdown;                     

    public $texttype;                

    public $multiselect; 

    public $adminnote;

    public $admin_price;  

    public $sendlinkflag;

    public $cartlink;

    public $cartkey;
    
    public $cartexpire;            

    public $date_upd;

    public $date_add;


    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table'     => 'addifyrequestsall',
        'primary'   => 'id_addifyrequestaquote',
        'fields'    => array(
            'status'  => array('type' => self::TYPE_HTML),
            'id_customer'  => array('type' => self::TYPE_HTML),
            'id_product'  => array('type' => self::TYPE_HTML),
            'id_product_attribute'    => array('type' => self::TYPE_HTML),
            'product_info' => array('type' => self::TYPE_HTML),
            'product_name' => array('type' => self::TYPE_HTML),
            'product_sku' => array('type' => self::TYPE_HTML),
            'product_image' => array('type' => self::TYPE_HTML),
            'offered_price'  => array('type' => self::TYPE_HTML),
            'original_price' => array('type' => self::TYPE_HTML),
            'name'  => array('type' => self::TYPE_HTML),
            'email'  => array('type' => self::TYPE_HTML),
            'quantity' => array('type' => self::TYPE_HTML),
            'description' => array('type' => self::TYPE_HTML),
            'adminnote' => array('type' => self::TYPE_HTML),
            'file' => array('type' => self::TYPE_HTML),
            'dropdown' => array('type' => self::TYPE_HTML),
            'texttype' => array('type' => self::TYPE_HTML),
            'multiselect' => array('type' => self::TYPE_HTML),
            'adminnote' => array('type' => self::TYPE_HTML),
            'admin_price' => array('type' => self::TYPE_HTML),
            'sendlinkflag' => array('type' => self::TYPE_HTML),
            'cartlink' => array('type' => self::TYPE_HTML),
            'cartkey' => array('type' => self::TYPE_HTML),
            'cartexpire' => array('type' => self::TYPE_HTML),
            'date_upd' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
            'date_add'   => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
        )
    );

    public static function getListContent()
    {
        return Db::getInstance()->executeS(' SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` ORDER BY `id_addifyrequestaquote` DESC');
    }

    public static function getKey($key)
    {
        return Db::getInstance()->executeS(' SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` WHERE cartkey LIKE "'.$key.'"');
    }

    public static function getDataByCustomer($id_customer)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` WHERE id_customer = ' . $id_customer);
    }

    public static function getDataById($id_addifyrequestaquote)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` WHERE id_addifyrequestaquote = ' . $id_addifyrequestaquote);
    }
}
