<?php
/**
* 2007-2022 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2022 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

include_once(_PS_MODULE_DIR_).'addifyrequestaquote/classes/AddifyrequestsallClass.php';
class AddifyrequestaquoteAddifyrequestaquoteModuleFrontController extends ModuleFrontController
{
	public function __construct()
    {
        parent::__construct();
    }

    public function init()
    {
    	parent::init();
    }
	
	public function initContent()
    {
        parent::initContent();
        $activecheck=Configuration::get('ADDIFYREQUESTAQUOTE_LIVE_MODE');
        if($activecheck==0){
            Tools::redirect('index.php?controller=404');
        }
        validate::isEmail(Configuration::get('ADDIFYREQUESTAQUOTE_SEMAIL'));
        if(Tools::isSubmit('Submit')) {

            $this->processSave();
              
        }
        
        $getProductInfo = [];
        $baseUrl = $this->context->shop->getBaseURL(true);
  
        if($this->context->cookie->counter == '' || $this->context->cookie->counter == 0) {
            $this->setTemplate('module:addifyrequestaquote/views/templates/front/emptyrequestaquote.tpl');
            return;
        } else {
            $counter=$this->context->cookie->counter;
            for($i=1;$i<=$counter;$i=$i+1) {
                $item='item'.$i;
                $getProductInfo[$i-1]=$this->context->cookie->$item;
            }
        }

        $allProducts=[];
        $productOne=[];
        foreach($getProductInfo as $productInfo){
            $productInfo=explode(',', $productInfo);
            $product=new Product($productInfo[0]);
            $productName=$product->name;
            $productOne['id']=$productInfo[0];
            $productOne['id_attr']=$productInfo[1];
            $productOne['qty']=$productInfo[2];
            $productOne['name']=$productName[1];
            $productOne['SKU']=$product->reference;
            $id_image = Product::getCover($productInfo[0]);
            $image = new Image($id_image['id_image']);
            $image_url = _PS_BASE_URL_._THEME_PROD_DIR_.$image->getExistingImgPath().".jpg";
            $productOne['image']=$image_url;
            $info='';
            $combinations=$product->getAttributeCombinations($this->context->language->id);
            foreach ($combinations as $onep) {
                if($onep['id_product_attribute']==$productInfo[1]) {
                    $info=$onep['attribute_name'].' '.$info;
                }
            }
            $productOne['info']=$info;
            array_push($allProducts, $productOne);
        
        }
        $allpids = [];
        $allpattr = [];
        $allpqty = [];
        $allpname = [];
        $allpsku = [];
        $allpimages = [];
        $allpinfo = [];
        foreach ($allProducts as $oneProduct) {
            array_push($allpids, $oneProduct['id']);
            array_push($allpattr, $oneProduct['id_attr']);
            array_push($allpqty, $oneProduct['qty']);
            array_push($allpname, $oneProduct['name']);
            array_push($allpsku, $oneProduct['SKU']);
            array_push($allpimages, $oneProduct['image']);
            array_push($allpinfo, $oneProduct['info']);       
        }

        $allpids=implode(',', $allpids);
        $allpattr=implode(',', $allpattr);
        $allpqty=implode(',', $allpqty);
        $allpname=implode(',', $allpname);
        $allpsku=implode(',', $allpsku);
        $allpimages=implode(',', $allpimages);
        $allpinfo=implode(',', $allpinfo);

        $this->context->smarty->assign(array(
            'baseurl'=> $baseUrl,
            'allProducts' => $allProducts,
            'allpids' => $allpids,
            'allpattr' => $allpattr,
            'allpqty' => $allpqty,
            'allpname' => $allpname,
            'allpsku' => $allpsku,
            'allpimages' => $allpimages,
            'allpinfo' => $allpinfo,
            'csign' =>  Currency::getDefaultCurrency()->sign,
            'aadifyraq_offered_mode' => Configuration::get('ADDIFYREQUESTAQUOTE_OFFERED_MODE'),
            'aadifyraq_texttype_active' => Configuration::get('ADDIFYREQUESTAQUOTE_TEXTTYPE_ACTIVE'),
            'aadifyraq_fileupload_active' => Configuration::get('ADDIFYREQUESTAQUOTE_FILEUPLOAD_ACTIVE'),
            'aadifyraq_multicheck_active' => Configuration::get('ADDIFYREQUESTAQUOTE_MULTICHECK_ACTIVE'),
            'aadifyraq_dropdown_active' => Configuration::get('ADDIFYREQUESTAQUOTE_DROPDOWN_ACTIVE'),
            'aadifyraq_texttype_lable' => Configuration::get('ADDIFYREQUESTAQUOTE_TEXTTYPE_LABLE'),
            'aadifyraq_fileupload_lable' => Configuration::get('ADDIFYREQUESTAQUOTE_FILEUPLOAD_LABLE'),
            'aadifyraq_multicheck_lable' => Configuration::get('ADDIFYREQUESTAQUOTE_MULTICHECK_LABLE'),
            'aadifyraq_dropdown_labe' => Configuration::get('ADDIFYREQUESTAQUOTE_DROPDOWN_LABLE'),
            'aadifyraq_texttype_placeholder'=>Configuration::get('ADDIFYREQUESTAQUOTE_TEXTTYPE_PLACEHOLDER'),
            'aadifyraq_multicheck_options' => explode(',',Configuration::get('ADDIFYREQUESTAQUOTE_MULTICHECK_OPTIONS')),
            'aadifyraq_dropdown_options' => explode(',',Configuration::get('ADDIFYREQUESTAQUOTE_DROPDOWN_OPTIONS')),
            'id_module' => $this->module->id,

        ));
        $this->setTemplate('module:addifyrequestaquote/views/templates/front/requestaquote.tpl');
	}

    /**
     * Set values for the inputs.
     */
    protected function getConfigFormValues()
    {
        $fields_value = array();
        $fields_value['allpids'] = Tools::getValue('allpids');
        $fields_value['allpattr'] = Tools::getValue('allpattr');
        $fields_value['allpname'] = Tools::getValue('allpname');
        $fields_value['allpsku'] = Tools::getValue('allpsku');
        $fields_value['allpimages'] = Tools::getValue('allpimages');
        $fields_value['allpinfo'] = Tools::getValue('allpinfo');
        $fields_value['name'] = Tools::getValue('name');
        $fields_value['email'] = Tools::getValue('email');
        $fields_value['description'] = Tools::getValue('description');
        $fields_value['quantity'] = Tools::getValue('quantity');
        $fields_value['offered_price'] = Tools::getValue('offered_price');
        $fields_value['texttype'] = Tools::getValue('texttype');
        $fields_value['file'] = Tools::getValue('file');
        $fields_value['multiselect'] = Tools::getValue('multiselect1');
        $fields_value['dropdown'] = Tools::getValue('dropdown');
        $multiselect='';
        if(Tools::getValue('countmulti')) {
            for($i=1;$i<=Tools::getValue('countmulti');$i++) {
                if (Tools::getValue('multiselect'.$i)) {
                    if($multiselect=='') {
                        $multiselect=Tools::getValue('multiselect'.$i);
                    } else {
                        $multiselect=$multiselect.'--'.Tools::getValue('multiselect'.$i);
                    }
                }
            }
        }
        $fields_value['multiselect'] = $multiselect;

        if (isset($_FILES['fileToUpload'])) 
            {   
                $target_dir = _PS_MODULE_DIR_.'addifyrequestaquote/views/img/';
                 
                $without_extension = Tools::substr(basename($_FILES['fileToUpload']["name"]), 0, strrpos(basename($_FILES['fileToUpload']["name"]), "."));
                $ext = Tools::substr(basename($_FILES['fileToUpload']["name"]), strrpos(basename($_FILES['fileToUpload']["name"]), '.') );
                $t=time();
                $key=($t).(date("Y-m-d",$t));
                
                $target_file = $target_dir . $without_extension.$key.$ext;

                $uploadOk = 1;
                $imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);            
                
                if (file_exists($target_file)) {
                    $uploadOk = 0;
                }
               $imageFileType=Tools::strtolower($imageFileType);
                if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
                && $imageFileType != "gif" && $imageFileType != "pdf" && $imageFileType != "doc" && $imageFileType != "docx" ) {
        
                    $uploadOk = 0;
                }

                if ($uploadOk == 0) {
                   
                }
                else {
                    
                    if (move_uploaded_file($_FILES['fileToUpload']["tmp_name"], $target_file)) {
                        $fields_value['file'] =  $without_extension.$key.$ext;
                    } 
                }
            }
        return $fields_value;
    }
    /**
     * Save form data.
     */

    public function processSave()
    {
        $form_values = $this->getConfigFormValues();

        if (!validate::isEmail($form_values['email'])) {
            $this->context->controller->errors[] = $this->l('Email is not valid');
        }
        if (!$form_values['name']) {
            $this->context->controller->errors[] = $this->l('Name is not valid');
        }
        if (!$form_values['description']) {
            $this->context->controller->errors[] = $this->l('Description is not valid');
        }

        $customer_id = $this->context->customer->id;
      
        $hideprice = new AddifyrequestsallClass();
        $hideprice->id_customer = (int) $customer_id;
        $hideprice->status = 'Pending';
        $hideprice->id_product = $form_values['allpids'];
        $hideprice->id_product_attribute = $form_values['allpattr'];
        $hideprice->product_info = $form_values['allpinfo'];
        $hideprice->product_image = $form_values['allpimages'];
        $hideprice->product_name = $form_values['allpname'];
        $hideprice->product_sku = $form_values['allpsku'];
        $hideprice->name = $form_values['name'];
        $hideprice->email = $form_values['email'];
        $hideprice->description = $form_values['description'];
        $hideprice->offered_price = $form_values['offered_price'];
        $hideprice->quantity = $form_values['quantity'];
        $hideprice->texttype = Configuration::get('ADDIFYREQUESTAQUOTE_TEXTTYPE_LABLE').' : '.$form_values['texttype'];
        $hideprice->file = $form_values['file'];
        $hideprice->dropdown = Configuration::get('ADDIFYREQUESTAQUOTE_DROPDOWN_LABLE').' : '.$form_values['dropdown'];
        $hideprice->multiselect = Configuration::get('ADDIFYREQUESTAQUOTE_MULTICHECK_LABLE').' : '.$form_values['multiselect'];

        $org_priceid = explode(',',$form_values['allpids']);
        $org_priceidattr = explode(',', $form_values['allpattr']);
        $allitems = explode(',',$form_values['allpids']);
        $allitems2='';
        $itemscount = count($allitems);
        for($i=0;$i<$itemscount;$i++) {
            $org_price=Product::getPriceStatic($org_priceid[$i], false, $org_priceidattr[$i], 2);
            if($i==0){
                $allitems='1';
                $allitems2=$org_price;
            } else {
                $allitems=$allitems.',1';
                $allitems2=$allitems2.','.$org_price;
            }  
        }
        $hideprice->admin_price=$allitems;
        $hideprice->original_price=$allitems2;

        $hideprice->save();

        $counter=$this->context->cookie->counter;
        if ($counter == '') {

        } else {

            for($i=1;$i<=$counter;$i=$i+1) {

                $this->context->cookie->__set('item'.$i,'');
            }

            $this->context->cookie->__set('counter','');

        }

        $allpimages=explode(',',$form_values['allpimages']);
        $allpname=explode(',',$form_values['allpname']);
        $allpsku=explode(',',$form_values['allpsku']);
        $allpinfo=explode(',',$form_values['allpinfo']);
        $quantity=explode(',',$form_values['quantity']);
        $offered_price=explode(',',$form_values['offered_price']);
        $counnt=(int)count($allpname);
        $curr=Currency::getDefaultCurrency()->sign;

        $this->context->smarty->assign('counnt', (int)($counnt-1));
        $this->context->smarty->assign('allpimages', $allpimages);
        $this->context->smarty->assign('allpname', $allpname);
        $this->context->smarty->assign('allpsku', $allpsku);
        $this->context->smarty->assign('allpinfo', $allpinfo);
        $this->context->smarty->assign('quantity', $quantity);
        $this->context->smarty->assign('offered_price', $offered_price);
        $this->context->smarty->assign('curr', $curr);
        $this->context->smarty->assign('aadifyraq_offered_mode', Configuration::get('ADDIFYREQUESTAQUOTE_OFFERED_MODE'));

        $table=$this->context->smarty->fetch(_PS_MODULE_DIR_.'addifyrequestaquote/views/templates/front/tablemail.tpl');

        $this->sendMail($form_values['email'],$form_values['name'],$table, $form_values['description'],$form_values['email'], $form_values['texttype'], $form_values['dropdown'], $form_values['file'], $form_values['multiselect']);
        if(validate::isEmail(Configuration::get('ADDIFYREQUESTAQUOTE_SEMAIL'))) {
            $this->sendMailAdmin(Configuration::get('ADDIFYREQUESTAQUOTE_SEMAIL'),$form_values['name'],$table, $form_values['description'],$form_values['email'], $form_values['texttype'], $form_values['dropdown'], $form_values['file'], $form_values['multiselect']);
        }
        $baseUrl = $this->context->shop->getBaseURL(true);
        $this->success[] = $this->l('Request Submitted Successfully');
        $this->redirectWithNotifications($baseUrl);

    }

    public function sendMail($email,$name,$table,$des,$temail,$texttype,$dropdown,$file,$multiselect) {

         $text_label = Configuration::get('ADDIFYREQUESTAQUOTE_TEXTTYPE_LABLE');
         $dropdown_label = Configuration::get('ADDIFYREQUESTAQUOTE_DROPDOWN_LABLE');
         $multicheck_label = Configuration::get('ADDIFYREQUESTAQUOTE_MULTICHECK_LABLE');
         $fileuplod_label = Configuration::get('ADDIFYREQUESTAQUOTE_FILEUPLOAD_LABLE');

        Mail::send(
            $this->context->language->id,
            'quotesubmit',
            $this->l(
                'Your Quote Submitted Successfully'
            ),
            // Mail::l('Your Quote Submitted Successfully'),
            array(
                '{dateTime}' => date ('Y-m-d H:i:s'),
                '{table}' => $table,
                '{name}' => $name,
                '{email}' => $temail,
                '{des}' => $des,
                '{texttype}' => $text_label.' : '.$texttype,
                '{dropdown}' => $dropdown_label.' : '.$dropdown,
                '{file}' => $fileuplod_label.' : '.$file,
                '{multiselect}' => $multicheck_label.' : '.$multiselect,
            ),
            $email,
            $name,
            Configuration::get('PS_SHOP_EMAIL'),
            Configuration::get('PS_SHOP_NAME'),
            null,
            null,
            dirname(__file__).'/mails/'

        );
    }

    public function sendMailAdmin($email,$name,$table,$des,$temail,$texttype,$dropdown,$file,$multiselect) {

        Mail::send(
            $this->context->language->id,
            'quotesubmit',
            $this->l(
                'Quote Received'
            ),
            // Mail::l('Quote Received'),
            array(
                '{dateTime}' => date ('Y-m-d H:i:s'),
                '{table}' => $table,
                '{name}' => $name,
                '{email}' => $temail,
                '{des}' => $des,
                '{texttype}' => $text_label.' : '.$texttype,
                '{dropdown}' => $dropdown_label.' : '.$dropdown,
                '{file}' => $fileuplod_label.' : '.$file,
                '{multiselect}' => $multicheck_label.' : '.$multiselect,
            ),
            $email,
            $name,
            Configuration::get('PS_SHOP_EMAIL'),
            Configuration::get('PS_SHOP_NAME'),
            null,
            null,
            dirname(__file__).'/mails/'

        );
    }
}