/**
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
* Don't forget to prefix your containers with your own identifier
* to avoid any conflicts with others containers.
*/


function araq_checkDelBoxes(form,name,action){

    var all_select = document.getElementsByClassName("araq_for_all_checkbox");

    if (action == true) {
        for(var i=0; i<all_select.length; i++){  
            all_select[i].checked=true;  
        } 
    }
    else{
        for(var i=0; i<all_select.length; i++){   
            all_select[i].checked=false;     
        } 
    }
}

function araq_sendBulkAction(form,action){

    var all_select = document.getElementsByClassName("araq_for_all_checkbox");
    var delete_ids = [];
    for(var i=0; i<all_select.length; i++){  
        if(all_select[i].checked){
            delete_ids.push(all_select[i].getAttribute('data-id'));
        }  
    } 

    if (delete_ids.length) {
        final_all_data_array = JSON.stringify(delete_ids);

        $.getJSON(ajax_raq_link, {token:'wsx543cde2244rrv' , pnum : final_all_data_array, bulkdel : "True" }, function(data) {
            if(typeof data.status !== "undefined") {
                location.reload();
            }
        });
    }
}


document.addEventListener("DOMContentLoaded", function (event) {

    var hiddenall = document.getElementsByClassName("extaddifyhideprice");

    if(hiddenall[0]){
        var activemain = hiddenall[0].getAttribute('mainactive');
    }
    
    if(activemain==1){

    for (var i = 0; i < hiddenall.length; i++) {
        var hideCart = hiddenall[i].getAttribute('hideCartCheck');
        var hidePrice = hiddenall[i].getAttribute('priceHideCheck');
        var text=hiddenall[i].getAttribute('text');
        var textcolor=hiddenall[i].getAttribute('textcolor');
        var textbg=hiddenall[i].getAttribute('textbg');
        
            parentele = hiddenall[i].parentElement;

            attribute = parentele.getAttribute('class');

        if (attribute=='product-price-and-shipping') {
            var price = parentele.getElementsByTagName('span');

            for (var n = 0; n < price.length; n++) {
                if (hidePrice=="yes") {
                    price[n].innerHTML = '';
                } else {
                    price[n].style.cssText='display:inline-block !important';
                    if (price[n].getAttribute('class') == "discount-percentage discount-product") {
                        price[n].style.cssText='display:inline-block !important; top: -238px !important';
                    }
                }
            }

            var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.nextElementSibling;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('ajax_add_to_cart_button');
                        if (addtocart[0]) {
                            if (hideCart=="yes") {
                                addtocart[0].parentNode.removeChild(addtocart[0]);
                                if(textbg != '') {
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                $('.product-variants').append($('<div class="addify-raq-button"> <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        } else if (attribute=='product-discount') {
                var price = parentele.getElementsByClassName('regular-price');
            if (hidePrice=="yes") {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }
                var price = parentele.parentElement.getElementsByClassName('current-price');
            if (hidePrice=="yes") {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }

                var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.parentElement.parentElement;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('product-add-to-cart');
                        if (addtocart[0]) {
                            if (hideCart=="yes") {
                                addtocart[0].parentNode.removeChild(addtocart[0]);
                                 if(textbg != '') {
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                 $('.product-variants').append($('<div class="addify-raq-button">  <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        } else if (attribute=='product-prices') {
            var price = parentele.parentElement.getElementsByClassName('current-price');
            if (hidePrice=="yes" && price[0]) {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }

            var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.parentElement.parentElement;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('product-add-to-cart');
                        if (addtocart) {
                            if (hideCart=="yes") {                            
                                if(addtocart[0]){
                                    addtocart[0].parentNode.removeChild(addtocart[0]);
                                }
                                if(textbg != '') {
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                $('.product-variants').append($('<div class="addify-raq-button">  <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        }else if (attribute=='product-prices js-product-prices') {
            var price = parentele.parentElement.getElementsByClassName('current-price');
            if (hidePrice=="yes" && price[0]) {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }

            var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.parentElement.parentElement;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('product-add-to-cart');
                        if (addtocart) {
                            if (hideCart=="yes") {                            
                                if(addtocart[0]){
                                    addtocart[0].parentNode.removeChild(addtocart[0]);
                                }
                                if(textbg != '') {
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                $('.product-variants').append($('<div class="addify-raq-button">  <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        }
    }
    if(textbg != ''){
    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
    $('.product-quantity').append($('<div class="addify-raq-button"> <button onclick="addProductTemp()" id="raq_addtoquote" type="button" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
    }}

    }
 });


$(document).ajaxComplete(function () {
setTimeout(function(){ 
    
    var hiddenall = document.getElementsByClassName("extaddifyhideprice");
    if(hiddenall[0]){
    var activemain = hiddenall[0].getAttribute('mainactive');
    }
    if(activemain==1){
    for (var i = 0; i < hiddenall.length; i++) {
        var hideCart = hiddenall[i].getAttribute('hideCartCheck');
        var hidePrice = hiddenall[i].getAttribute('priceHideCheck');
        var text=hiddenall[i].getAttribute('text');
        var textcolor=hiddenall[i].getAttribute('textcolor');
        var textbg=hiddenall[i].getAttribute('textbg');
        
            parentele = hiddenall[i].parentElement;

            attribute = parentele.getAttribute('class');

        if (attribute=='product-price-and-shipping') {
            var price = parentele.getElementsByTagName('span');

            for (var n = 0; n < price.length; n++) {
                if (hidePrice=="yes") {
                    price[n].innerHTML = '';
                } else {
                    price[n].style.cssText='display:inline-block !important';
                    if (price[n].getAttribute('class') == "discount-percentage discount-product") {
                        price[n].style.cssText='display:inline-block !important; top: -238px !important';
                    }

                }
            }

            var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.nextElementSibling;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('ajax_add_to_cart_button');
                        if (addtocart[0]) {
                            if (hideCart=="yes") {
                                addtocart[0].parentNode.removeChild(addtocart[0]);
                                if(textbg != '') {
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                $('.product-variants').append($('<div class="addify-raq-button"> <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        } else if (attribute=='product-discount') {
                var price = parentele.getElementsByClassName('regular-price');
            if (hidePrice=="yes") {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }
                var price = parentele.parentElement.getElementsByClassName('current-price');
            if (hidePrice=="yes") {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }

                var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.parentElement.parentElement;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('product-add-to-cart');
                        if (addtocart) {
                            if (hideCart=="yes") {
                                if(addtocart[0]){
                                addtocart[0].parentNode.removeChild(addtocart[0]);
                                }
                                 if(textbg != '') {
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                 $('.product-variants').append($('<div class="addify-raq-button"> <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        } else if (attribute=='product-prices') {
            var price = parentele.parentElement.getElementsByClassName('current-price');
            if (hidePrice=="yes" && price[0]) {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }

            var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.parentElement.parentElement;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('product-add-to-cart');
                        if (addtocart) {
                            if (hideCart=="yes") { 
                                if(textbg != ''){
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                $('.product-variants').append($('<div class="addify-raq-button"> <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                                if(addtocart[0]){
                                    addtocart[0].parentNode.removeChild(addtocart[0]);
                                }
                                
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        }else if (attribute=='product-prices js-product-prices') {
            var price = parentele.parentElement.getElementsByClassName('current-price');
            if (hidePrice=="yes" && price[0]) {
                price[0].innerHTML = '';
            } else {
                price[0].style.cssText='display:inline-block !important';
            }

            var addifyhideprice = parentele.getElementsByClassName('extaddifyhideprice');
            for (var j = 0; j < addifyhideprice.length; j++) {
                if (j==0) {
                    if (hidePrice=="yes") {
                        addifyhideprice[0].style.display = 'block';
                    } else {
                        addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                    }
                    cartparentele = parentele.parentElement.parentElement;
                    if (cartparentele) {
                        var addtocart = cartparentele.getElementsByClassName('product-add-to-cart');
                        if (addtocart) {
                            if (hideCart=="yes") { 
                                if(textbg != ''){
                                    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
                                $('.product-variants').append($('<div class="addify-raq-button"> <input value="1" type="number" name="qty" min="1" style="width: 11%;height: 2.75rem;padding-left: 0.5rem;box-shadow: 2px 2px 4px 0 rgba(0,0,0,.2);"> <button onclick="addProductTemp()" type="button" id="raq_addtoquote" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
                                }}
                                if(addtocart[0]){
                                    addtocart[0].parentNode.removeChild(addtocart[0]);
                                }
                                
                            } else {
                                addtocart[0].style.cssText='display:inline-block !important';
                            }
                        }
                    }
                } else {
                    addifyhideprice[j].parentNode.removeChild(addifyhideprice[j]);
                }
            }
        }
    }
    if(textbg != ''){
    if ( !$( 'div' ).is( '.addify-raq-button' ) ) {
    $('.product-quantity').append($('<div class="addify-raq-button"> <button onclick="addProductTemp()" id="raq_addtoquote" type="button" class="btn btn-primary add-to-cart raq" style="background-color:'+textbg+'; color:'+textcolor+'">'+text+'</button></div>'));
    }}
    }
}, 10);
});

function deletePro(flag){
    $.getJSON(ajax_raq_link, {token:'wsx543cde2244rrv' , pnum : flag, del : "True" }, function(data) {
        if(typeof data.status !== "undefined") {
            location.reload();
        }
    });
}

function setCookie(cname, cvalue, exdays) {
  var d = new Date();
  d.setTime(d.getTime() + (exdays*24*60*60*1000));
  var expires = "expires="+ d.toUTCString();
  document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i < ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}


function addProductTemp(){

    var  pid = $("#extaddifyproductId").val();
    // var  pid = $("input[name=id_product]").val();
    var  pidattr = $("input[name=id_product_attribute]").val();
    var pquntity = $("input[name=qty]").val();
    if (pquntity == '')
        return;
    
    $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,pid : pid, pidattr : pidattr, price : ' ', pquntity : pquntity, quote : "True" }, function(data) {
        if(typeof data.status !== "undefined") {
            alert (data['message']);
            $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,quoteupdate : "True" }, function(data) {
                if(typeof data.status !== "undefined") {
                    document.getElementById("raq_icon_text").innerHTML = data['message'];
                }
            });
        }
    });

}

function addProductTempRequote(id_addifyrequestaquote){

    $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,id_addifyrequestaquote : id_addifyrequestaquote, price : ' ', requote : "True" }, function(data) {
        if(typeof data.status !== "undefined") {
            alert (data['message']);
            $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,requoteupdate : "True" }, function(data) {
                if(typeof data.status !== "undefined") {
                    document.getElementById("raq_icon_text").innerHTML = data['message'];
                }
            });
        }
    });

}

$(document).ready(function() {

    $('#_desktop_cart').before($('#addify_raq_icon'));
    $("#addify_raq_icon").show();
    var  pid=$("input[name=addifyraq_flag]").val();
    var check='';

        if(pid){
            var total = 0;
            for(i=1;i<pid;i++) {
                var  qty=$("input[name=quantity_"+i+"]").val();
                var  offerp=$("input[name=offered_"+i+"]").val();
                var  thisp=qty*offerp;
                $("input[name=pricetotal"+i+"]").val(thisp);
                total = total + thisp;
            }
            $("input[name=total_adminprice]").val(total);  
        }


        if(pid){
           for(i=0;i<pid-1;i++) {
                if(i==0){
                    check='1';
                }
                else{
                    check=check+',1';
                }

           }

        $("input[name=offered_price]").val(check);
        }
        $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,quoteupdate : "True" }, function(data) {
            if(typeof data.status !== "undefined") {
                document.getElementById("raq_icon_text").innerHTML = data['message'];
            }
        });

   
});

function setPrice(current) {
    var  quantity=$("input[name=quantity_"+current+"]").val();
    if (quantity == '') {
        quantity = 1;
    }
    var  offered=$("input[name=offered_"+current+"]").val();
    total=quantity*offered;
    $("input[name=pricetotal"+current+"]").val(total);

    var  pid=$("input[name=addifyraq_flag]").val();
    total=0;
    if (pid) {
           for(i=0;i<pid-1;i++) {
           total=parseInt(total)+parseInt($("input[name=pricetotal"+(i+1)+"]").val());
           }
           $("input[name=total_adminprice]").val(parseInt(total));
        }



}
 
function doStuff(){
    var  quantity=$("input[name=quantity]").val();
    $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,quantity : quantity, loadquantity : "True" }, function(data) {
        if(typeof data.status !== "undefined") {
            $.getJSON(ajax_raq_link, { token:'wsx543cde2244rrv' ,quoteupdate : "True" }, function(data) {
            if(typeof data.status !== "undefined") {
                document.getElementById("raq_icon_text").innerHTML = data['message'];
            }
            });
        }
    });
}
            
var timer = null;
function quantityKeyUp(current) {

    clearTimeout(timer); 
    timer = setTimeout(function(){ doStuff(); }, 1000);


    setPrice(current);
    var  pid=$("input[name=addifyraq_flag]").val();
    var check='';

        if(pid){
           for(i=0;i<pid-1;i++) {
                if(i==0){
                    var val=$("input[name=quantity_"+(i+1)+"]").val();
                    if(val == ''){
                        val=1;
                    }
                    check=val;
                }
                else{
                    var val=$("input[name=quantity_"+(i+1)+"]").val();
                    if(val == ''){
                        val=1;
                    }
                    check=check+','+val;
                }
           }
        $("input[name=quantity]").val(check);
        }

}
function offeredPriceKeyUp(current) {

    setPrice(current);
    var  pid=$("input[name=addifyraq_flag]").val();
    var check='';

        if(pid){
           for(i=0;i<pid-1;i++) {
                if(i==0){
                    var val=$("input[name=offered_"+(i+1)+"]").val();
                    check=val;
                }
                else{
                    var val=$("input[name=offered_"+(i+1)+"]").val();
                    check=check+','+val;
                }
           }
        $("input[name=offered_price]").val(check);
        }
}

