{*
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<form id="configuration_form" class="defaultForm form-horizontal" action="" method="post" enctype="multipart/form-data" novalidate="">
<div class="panel" id="fieldset_0">
		<div class="panel-heading">
			<i class="icon-cogs"></i>	{l s='Quote Request' mod='addifyrequestaquote'}
		</div>
		<div class="form-wrapper">
	<div class="form-wrapper">
		<div class="form-group">
			<label class="control-label col-lg-3">{l s='Status' mod='addifyrequestaquote'}</label>
				<div class="col-lg-2">
					<select name="status" class=" fixed-width-xl" id="type">
					<option value="Pending">{l s='Pending' mod='addifyrequestaquote'}</option>
					<option value="Accepted">{l s='Accepted' mod='addifyrequestaquote'}</option>
					<option value="Rejected">{l s='Rejected' mod='addifyrequestaquote'}</option>
					</select>
				</div>
				<p class="help-block" style="margin-top: 31px; margin-left: 282px;">{l s='For admin reminder' mod='addifyrequestaquote'}</p>
		</div>

		<input type="hidden" value="{$id_addifyrequestaquote|escape:'htmlall':'UTF-8'}" name="id_addifyrequestaquote">
        <input type="hidden" value="{$allid_product|escape:'htmlall':'UTF-8'}" name="allpids">
		<input type="hidden" value="{$allpattr|escape:'htmlall':'UTF-8'}" name="allpattr">
		<input type="hidden" value="{$allpname|escape:'htmlall':'UTF-8'}" name="allpname">
		<input type="hidden" value="{$admin_price|escape:'htmlall':'UTF-8'}" name="admin_price">
		<input type="hidden" value="{$allpsku|escape:'htmlall':'UTF-8'}" name="allpsku">
		<input type="hidden" value="{$allpimages|escape:'htmlall':'UTF-8'}" name="allpimages">
		<input type="hidden" value="{$allpinfo|escape:'htmlall':'UTF-8'}" name="allpinfo">
		<input type="hidden" value="{$original_price|escape:'htmlall':'UTF-8'}" name="original_price">
		<input type="hidden" value="{$number_of_products|escape:'htmlall':'UTF-8'}" name="total_products">

					<div class"container">
						<table class="table table-striped"">
							<thead>
								<tr>
									<td><b>{l s='ID' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='Image' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='Name' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='SKU' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='Price' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='Info' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='Quantity' mod='addifyrequestaquote'}</b></td>
									{if $aadifyraq_offered_mode==1}
									<td><b>{l s='Offered Price' mod='addifyrequestaquote'}</b></td>
									{/if}
									<td><b>{l s='Admin Price' mod='addifyrequestaquote'}</b></td>
									<td><b>{l s='Total' mod='addifyrequestaquote'}</b></td>

								</tr>
							</thead>
							<tbody>
							    {for $i=0 to $number_of_products-1}
								<tr style="border-bottom: 0.02px solid #877d7d;">

									<td>
										{$allid_productarr[$i]|escape:'htmlall':'UTF-8'}
									</td>

									<td>
										<img class="news-cat-main-img" src="{$allpimagesarr[$i]|escape:'htmlall':'UTF-8'}" alt="" width="50" height="50">
									</td>

									<td class="adq-product-name">
										{$allpnamearr[$i]|escape:'htmlall':'UTF-8'}
									</td>

									<td>
									{$allpskuarr[$i]|escape:'htmlall':'UTF-8'}
									</td>


									<td>
									{$original_pricearr[$i]|escape:'htmlall':'UTF-8'}
									</td>

									<td>
									{$allpinfoarr[$i]|escape:'htmlall':'UTF-8'}
									</td>
				
									<td>
									{$quantityarr[$i]|escape:'htmlall':'UTF-8'}
									<input type="hidden" value={$quantityarr[$i]|escape:'htmlall':'UTF-8'} name="quantity{$i|escape:'htmlall':'UTF-8'}">
									</td>

									{if $aadifyraq_offered_mode==1}
									<td>
									{$offered_pricearr[$i]|escape:'htmlall':'UTF-8'}
									</td>
									{/if}

									<td>
									<input type="number" value={$admin_pricearr[$i]|escape:'htmlall':'UTF-8'} onkeyup="priceKeyUp({$number_of_products|escape:'htmlall':'UTF-8'},{$i|escape:'htmlall':'UTF-8'},{$quantityarr[$i]|escape:'htmlall':'UTF-8'})" onkeypress="priceKeyUp({$number_of_products|escape:'htmlall':'UTF-8'},{$i|escape:'htmlall':'UTF-8'},{$quantityarr[$i]|escape:'htmlall':'UTF-8'})" onchange="priceKeyUp({$number_of_products|escape:'htmlall':'UTF-8'},{$i|escape:'htmlall':'UTF-8'},{$quantityarr[$i]|escape:'htmlall':'UTF-8'})" min=1 name="adminprice{$i|escape:'htmlall':'UTF-8'}" style="width: 100px;">
									</td>

									<td>
									<div style="display: inline-block;
  									position: relative;">
									<input type="text" name="pricetotal{$i|escape:'htmlall':'UTF-8'}" value="0" style="width: 100px;" readonly>
									<div style=" position: absolute;
  									top: 9px;
    								right: 0.6em;
  									transition: all .05s ease-in-out;">
									{$curr|escape:'htmlall':'UTF-8'}
									</div>
									</div>
									</td>

								</tr>
								{/for}
							</tbody>
						</table>
					</div>
		<div style="float:right;">

		<p name="">{l s='Total Price : ' mod='addifyrequestaquote'}<p>
		<div style="display: inline-block;
  					position: relative;">
		<input type="text" name="total_adminprice" value="0" readonly>
		<div style=" position: absolute;
  					top: 9px;
    				right: 0.6em;
  					transition: all .05s ease-in-out;">
					{$curr|escape:'htmlall':'UTF-8'}
		</div>
		</div>

		</div><br>
		<b>{l s='Expiry Date' mod='addifyrequestaquote'}</b>
		<input type="date" id="expirydate" name="expirydate" value="2020-12-01">
		<button type="button" class="btn btn-primary" onclick="getUrlKeyUp({$number_of_products|escape:'htmlall':'UTF-8'})">{l s='Generate Cart URL' mod='addifyrequestaquote'}</button> 
		<h id="raq_link">{$addifyraq_cartlink|escape:'htmlall':'UTF-8'}</h><h id="cartedate"> {$cartexpire|escape:'htmlall':'UTF-8'}</h>
		<input type="hidden" value="{$quantity|escape:'htmlall':'UTF-8'}" name="quantity">
		<input type="hidden" value="{$offered_price|escape:'htmlall':'UTF-8'}" name="offered_price">
		<input type="hidden" value="{$name|escape:'htmlall':'UTF-8'}" name="name">
		<input type="hidden" value="{$email|escape:'htmlall':'UTF-8'}" name="email">
		<input type="hidden" value="{$description|escape:'htmlall':'UTF-8'}" name="description">
		<input type="hidden" value="{$sendlinkflag|escape:'htmlall':'UTF-8'}" name="sendlinkflag">
		<input type="hidden" value="{$addifyraq_ajax_link|escape:'htmlall':'UTF-8'}" name="addifyraq_ajax_link">
		<input type="hidden" value="{$addifyraq_cartlink|escape:'htmlall':'UTF-8'}" name="cartlink">
		
<br><br><br>

		<div class="container">
  		<h3><strong>{l s='Name : ' mod='addifyrequestaquote'}</strong>{$name|escape:'htmlall':'UTF-8'}</h3>
  		<h3><strong>{l s='Email : ' mod='addifyrequestaquote'}</strong>{$email|escape:'htmlall':'UTF-8'}</h3>
  		<h3><strong>{l s='Description : ' mod='addifyrequestaquote'}</strong>{$description|escape:'htmlall':'UTF-8'} </h3>
  		{if $texttype!=' : '}
  		<h3>{$texttype|escape:'htmlall':'UTF-8'}</h3>
  		{/if}
  		{if $file!=''}
  		<h3>File : <a href="{$baseUrl|escape:'htmlall':'UTF-8'}modules/addifyrequestaquote/views/img/{$file|escape:'htmlall':'UTF-8'}" target="_blank">{$file|escape:'htmlall':'UTF-8'}</a></h3>
  		{/if}
  		{if $multiselect!=' : '}
  		<h3>{$multiselect|escape:'htmlall':'UTF-8'}</h3>
  		{/if}
  		{if $dropdown!=' : '}
  		<h3>{$dropdown|escape:'htmlall':'UTF-8'}</h3>
  		<hr>
  		{/if}
		</div>


	</div>



		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Admin Note' mod='addifyrequestaquote'}</label>
		<textarea name="adminnote" placeholder="Write Note" rows="3">{$adminnote|escape:'htmlall':'UTF-8'}</textarea>
		</fieldset>


		<div class="form-group">
			{if $sendlinkflag==0}
			<label class="control-label col-lg-3">{l s='Send Cart Link to Customer' mod='addifyrequestaquote'}</label>
			{/if}
			{if $sendlinkflag==1}
			<label class="control-label col-lg-3">{l s='Resend Cart Link to Customer' mod='addifyrequestaquote'}</label>
			{/if}
				<div class="col-lg-9">
					<span class="switch prestashop-switch fixed-width-lg">
					<input type="radio" name="addifyraq_enable" id="addifyraq_enable_on" value="1">
					<label for="addifyraq_enable_on">{l s='Yes' mod='addifyrequestaquote'}</label>
					<input type="radio" name="addifyraq_enable" id="addifyraq_enable_off" value="0" checked="checked">
					<label for="addifyraq_enable_off">{l s='No' mod='addifyrequestaquote'}</label>
					<a class="slide-button btn"></a>
					</span>
					<p class="help-block">{l s='Generate Cart URL First' mod='addifyrequestaquote'}  </p>
				</div>
			</div>


			

		<div class="panel-footer">
        <button type="submit" value="1" id="configuration_form_submit_btn" name="Submitrequestsall" class="btn btn-default pull-right">
		<i class="process-icon-save"></i> {l s='Save' mod='addifyrequestaquote'}
		</button>
		<a href="{$backurl|escape:'htmlall':'UTF-8'}" class="btn btn-default btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel' mod='addifyrequestaquote'}</a>
		</div>
	</div>	

</form>



{literal}
<script language="javascript">

	    var  pid=$("input[name=total_products]").val();
        if(pid){
            var total = 0;
            for(i=0;i<pid;i++) {
                var  qty=$("input[name=quantity"+i+"]").val();
                var  offerp=$("input[name=adminprice"+i+"]").val();
                var  thisp=qty*offerp;
                $("input[name=pricetotal"+i+"]").val(thisp);
                total = total + thisp;
            }
            $("input[name=total_adminprice]").val(total);  
        }
	
	function priceKeyUp(number_of_products,current,quantity) {

		pid=$("input[name=adminprice"+current+"]").val();
		total_adminprice=pid*parseInt(quantity);
		total_adminprice=$("input[name=pricetotal"+current+"]").val(parseInt(total_adminprice));
		total=0;

		for(i=0;i<number_of_products;i++) {

			pid=$("input[name=pricetotal"+i+"]").val();
			total=parseInt(total)+parseInt(pid);
		
		}

		total_adminprice=$("input[name=total_adminprice]").val(parseInt(total));
		adminprice='';
		for(i=0;i<number_of_products;i++) {
			
			pid=$("input[name=adminprice"+i+"]").val();
			if(pid==''){
				pid=1;
			}
			if(i==0){
				adminprice = pid;
			} else {
				adminprice = adminprice + "," + pid;
			}
		}
		admin_price=$("input[name=admin_price]").val(adminprice);

		
	}

	function getUrlKeyUp(number_of_products){
		ajaxlink = $("input[name=addifyraq_ajax_link]").val();
		pids = $("input[name=allpids]").val();
		quoteid = $("input[name=id_addifyrequestaquote]").val();
		pattrids = $("input[name=allpattr]").val();
		pquantities = $("input[name=quantity]").val();
		expirydate = document.getElementById("expirydate").value;
		total='';
		for(i=0;i<number_of_products;i++){
			if(i==0){
				pid=$("input[name=adminprice"+i+"]").val();
				total=total+pid;
			} else {
				pid=$("input[name=adminprice"+i+"]").val();
				total=total+','+pid;
			}
		}
		pprice=total;
	    $.getJSON(ajaxlink, { checkquantity : "True" , action : "action_name", pids : pids, pattrids : pattrids, 
	    pquantities : pquantities, total : total , expirydate : expirydate , quoteid : quoteid}, function(data) {
            if(typeof data.status !== "undefined") {
            	document.getElementById("raq_link").innerHTML = data['message'];
            	document.getElementById("cartedate").innerHTML = " ---- Expiry Date : " + expirydate;
            	$("input[name=cartlink]").val(data['message']);      
            }

  		});
	}
	

</script>
{/literal}