{*
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file=$layout}
{block name='content'}
    <form action="" method="post" enctype="multipart/form-data">
        <input type="hidden" value="{$allpids|escape:'htmlall':'UTF-8'}" name="allpids">
		<input type="hidden" value="{$allpattr|escape:'htmlall':'UTF-8'}" name="allpattr">
		<input type="hidden" value="{$allpname|escape:'htmlall':'UTF-8'}" name="allpname">
		<input type="hidden" value="{$allpsku|escape:'htmlall':'UTF-8'}" name="allpsku">
		<input type="hidden" value="{$allpimages|escape:'htmlall':'UTF-8'}" name="allpimages">
		<input type="hidden" value="{$allpinfo|escape:'htmlall':'UTF-8'}" name="allpinfo">
		<input type="hidden" value="{$allpqty|escape:'htmlall':'UTF-8'} " name="quantity">
		{$flag=1}
		<div class="container">     
  			<table class="table table-bordered">
    			<thead>
      				<tr>
      					<th></th>
        				<th>{l s='Image' mod='addifyrequestaquote'}</th>
						<th>{l s='Name' mod='addifyrequestaquote'}</th>
						<th>{l s='SKU' mod='addifyrequestaquote'}</th>
						<th>{l s='Info' mod='addifyrequestaquote'}</th>
						<th>{l s='Quantity' mod='addifyrequestaquote'}</th>
						{if $aadifyraq_offered_mode==1}
						<th>{l s='Offered Price' mod='addifyrequestaquote'}</th>
						<th>{l s='Total' mod='addifyrequestaquote'}</th>
						<th></th>
						{/if}
      				</tr>
    			</thead>
    			<tbody>
				{foreach from=$allProducts key=mykey item=oneProduct}
					<tr style="border-bottom: 0.02px solid #877d7d;">
						{$myvalue = $mykey+1}
						<td style="padding-top: 1.75rem;">
							<input type="checkbox" name="addifyrequestaquoteCheckBox[]" value="{$myvalue|escape:'htmlall':'UTF-8'}" style="width: 18px; height: 18px;" data-id="{$flag|escape:'htmlall':'UTF-8'}" id="araq_all_{$oneProduct['id']|escape:'htmlall':'UTF-8'}" class="araq_for_all_checkbox">
						</td>

						<td>
							<img class="news-cat-main-img" src="{$oneProduct['image']|escape:'htmlall':'UTF-8'}" alt="" width="50" height="50">
						</td>

						<td class="adq-product-name">
							<a href=" ">{$oneProduct['name']|escape:'htmlall':'UTF-8'}</a>
						</td>

						<td>
						{$oneProduct['SKU']|escape:'htmlall':'UTF-8'}
						</td>

						<td>
							{$oneProduct['info']|escape:'htmlall':'UTF-8'}
						</td>
				
						<td>
							<fieldset class="form-group">
 							<input id="quantity_{$flag|escape:'htmlall':'UTF-8'}" name="quantity_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="{$oneProduct['qty']|escape:'htmlall':'UTF-8'}" onkeyup="quantityKeyUp({$flag|escape:'htmlall':'UTF-8'})" 
 							onkeydown ="quantityKeyUp({$flag|escape:'htmlall':'UTF-8'})"
 							onchange = "quantityKeyUp({$flag|escape:'htmlall':'UTF-8'})" class="form-control" style="width:5em; "></input>
							</fieldset>							{*<input id="quantity_{$flag|escape:'htmlall':'UTF-8'}" name="quantity_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1" onkeyup="quantityKeyUp()">*}
						</td>

						{if $aadifyraq_offered_mode==1}
						<td>
							<fieldset class="form-group">
							<div style="display: inline-block;
  												   position: relative;">
 							<input id="offered_{$flag|escape:'htmlall':'UTF-8'}" name="offered_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1"
									onkeyup="offeredPriceKeyUp({$flag|escape:'htmlall':'UTF-8'})" onkeydown ="offeredPriceKeyUp({$flag|escape:'htmlall':'UTF-8'})"
									onchange ="offeredPriceKeyUp({$flag|escape:'htmlall':'UTF-8'})" class="form-control" style="width:5em; "></input>
									<div style=" position: absolute;
  												top: 9px;
    											right: 0.6em;
  												transition: all .05s ease-in-out;">
									{$csign|escape:'htmlall':'UTF-8'}
									</div>
							</div>
							</fieldset>
							{*
							<input id="offered_{$flag|escape:'htmlall':'UTF-8'}" name="offered_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1"
									onkeyup="offeredPriceKeyUp()">*}
									
						</td>


						<td>
							<fieldset class="form-group">
							<div style="display: inline-block;
  												   position: relative;">
 							<input id="pricetotal{$flag|escape:'htmlall':'UTF-8'}" name="pricetotal{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1"
							class="form-control" style="width:6em; " readonly></input>
							<div style=" position: absolute;
  												top: 9px;
    											right: 0.6em;
  												transition: all .05s ease-in-out;">
									{$csign|escape:'htmlall':'UTF-8'}
									</div>
							</div>
							</fieldset>
						</td>
						{/if}
						<td>
						<img src="{$baseurl|escape:'htmlall':'UTF-8'}/modules/addifyrequestaquote/views/img/raq_deleteicon.png" alt="" width="25px" style="cursor: pointer;" onclick="deletePro({$flag|escape:'htmlall':'UTF-8'})">
						</td>

							{$flag=$flag+1}
					</tr>
					{/foreach}
    			</tbody>
  			</table>
		</div>

		<div class="col-lg-6">
				<div class="btn-group dropup">
					<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="bulk_action_quote_menu_addifyrequestaquote">
						{l s='Bulk actions' mod='addifyrequestaquote'}
						<span class="caret"></span>
					</button>
					<ul class="dropdown-menu">
						<li>
							<a href="#" onclick="javascript:araq_checkDelBoxes($(this).closest('form').get(0), 'addifyrequestaquoteCheckBox[]', true);return false;">
								<i class="icon-check-sign"></i>&nbsp;{l s='Select all' mod='addifyrequestaquote'}
							</a>
						</li>
						<li>
							<a href="#" onclick="javascript:araq_checkDelBoxes($(this).closest('form').get(0), 'addifyrequestaquoteCheckBox[]', false);return false;">
								<i class="icon-check-empty"></i>&nbsp;{l s='Unselect all' mod='addifyrequestaquote'}
							</a>
						</li>
						<li class="divider"></li>
						<li>
							<a href="#" onclick="if (confirm('Delete selected items?'))araq_sendBulkAction($(this).closest('form').get(0), 'submitquoteBulkdeleteaddifyrequestaquote');">
								<i class="icon-trash"></i>&nbsp;{l s='Delete selected' mod='addifyrequestaquote'}
							</a>
						</li>
					</ul>
				</div>
			</div>

		<div style="float:right;">
		<fieldset class="form-group">
		{if $aadifyraq_offered_mode==1}
		<label class="form-control-label" for="exampleInput1">{l s='Total Price ' mod='addifyrequestaquote'}</label>
		<div style="display: inline-block;
  					position: relative;">
		<input type="text" name="total_adminprice" value="0" class="form-control" style="width: 106px;" readonly>
		<div style="position: absolute;
  					top: 9px;
    				right: 0.6em;
  					transition: all .05s ease-in-out;">
				{$csign|escape:'htmlall':'UTF-8'}
		</div>
		</div>
		{/if}
		</fieldset>
		</div>

		
		<input type="hidden" value="{$flag|escape:'htmlall':'UTF-8'}" name="addifyraq_flag">
		<input type="hidden" value=" " name="offered_price">

		<br><br>
		<h2 style="padding-top:25px;">{l s='Request For Quote Form' mod='addifyrequestaquote'}</h2>

		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Name' mod='addifyrequestaquote'}</label>
		{if $aadifyraq_offered_mode==1}
		<input type="text" class="form-control" name="name" placeholder="{l s='Enter Name' mod='addifyrequestaquote'}" style="width:50%" 
		{/if}
		{if $aadifyraq_offered_mode==0}
		<input type="text" class="form-control" name="name" placeholder="{l s='Enter Name' mod='addifyrequestaquote'}" style="width:50%" 
		{/if}

 		required></input>
		</fieldset>

		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Email' mod='addifyrequestaquote'}</label>
 		<input type="email" class="form-control" name="email" placeholder="{l s='Enter Email' mod='addifyrequestaquote'}" style="width:50%" required></input>
 		<p style = "font-size: 0.9rem;">{l s='Copy of Quotation will sent on this email address' mod='addifyrequestaquote'}</p>
		</fieldset>

		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Description' mod='addifyrequestaquote'}</label>
 		<textarea type="text" class="form-control" name="description" placeholder="{l s='Enter Description' mod='addifyrequestaquote'}" rows="4" cols="50" style="width:50%" required></textarea>
		</fieldset>

        {*<input type="email" name="email" placeholder="{l s='Enter Email' mod='addifyrequestaquote'}"><br><br>
        <input type="text" name="name" placeholder="{l s='Enter Name' mod='addifyrequestaquote'}"><br><br>
        <textarea name="description" placeholder="{l s='Enter Description' mod='addifyrequestaquote'}" rows="4" cols="50"></textarea><br><br>*}


 		{if $aadifyraq_fileupload_active==1}
        <fieldset class="form-group">
		<label class="form-control-label" for="aadifyraq_fileupload_lable">{$aadifyraq_fileupload_lable|escape:'htmlall':'UTF-8'}</label>
  		<input type="file" id="aadifyraq_fileupload_lable" name="fileToUpload" class="form-control" style="width:50%">
  		</fieldset>
  		{/if}


        {if $aadifyraq_texttype_active==1}
        <label class="form-control-label" for="exampleInput1">{$aadifyraq_texttype_lable|escape:'htmlall':'UTF-8'}</label>
 		<input type="text" class="form-control" name="texttype" placeholder="{$aadifyraq_texttype_placeholder|escape:'htmlall':'UTF-8'}" style="width:50%" required></input>
        {*<label for="aadifyraq_texttype_lable">{$aadifyraq_texttype_lable|escape:'htmlall':'UTF-8'}</label>
        <input type="text" name="texttype" placeholder="{$aadifyraq_texttype_placeholder|escape:'htmlall':'UTF-8'}"><br><br>*}
        {/if}



  		{if $aadifyraq_dropdown_active==1}
  		<br>
  		<label for="aadifyraq_dropdown_labe">{$aadifyraq_dropdown_labe|escape:'htmlall':'UTF-8'}</label>
  		<select id="aadifyraq_dropdown_labe" name="dropdown" style="width: auto; border-radius: 5px; padding: 2px;">
  		{foreach $aadifyraq_dropdown_options as $value}
    	<option value="{$value|escape:'htmlall':'UTF-8'}">{$value|escape:'htmlall':'UTF-8'}</option>
    	{/foreach}
  		</select><br>
  		{/if}


  		{$countmulti=1}
  		{if $aadifyraq_multicheck_active==1}
  		<fieldset class="form-group">
  		<label class="form-control-label" for="vehicle1">{$aadifyraq_multicheck_lable|escape:'htmlall':'UTF-8'}</label><br>
  		{foreach $aadifyraq_multicheck_options as $value}
  		<input type="checkbox" name="multiselect{$countmulti|escape:'htmlall':'UTF-8'}" value="{$value|escape:'htmlall':'UTF-8'}">
  		<label for="{$value|escape:'htmlall':'UTF-8'}">{$value|escape:'htmlall':'UTF-8'}</label><br>
  		{$countmulti=$countmulti+1}
  		{/foreach}
  		</fieldset>
  		<input type="hidden" value="{$countmulti|escape:'htmlall':'UTF-8'}" name="countmulti">
  		{/if}

  		<br>
        {hook h='displayGDPRConsent' id_module=$id_module}
        <br>
  		<button type="submit" class="btn btn-primary" name="Submit" >{l s='Submit' mod='addifyrequestaquote'}</button><br>
        {*<input type="submit" value="Submit" name="Submit">*}
        <br>

        


    </form>		
{/block}